### Struct

# GtkBuildableParseContext

#### Description [src]

    struct GtkBuildableParseContext {
      /* No available fields */
    }

An opaque context struct for `GtkBuildableParser`.

#### Instance methods

###### gtk_buildable_parse_context_get_element

Retrieves the name of the currently open element.

###### gtk_buildable_parse_context_get_element_stack

Retrieves the element stack from the internal state of the parser.

###### gtk_buildable_parse_context_get_position

Retrieves the current line number and the number of the character on that line. Intended for use in error messages; there are no strict semantics for what constitutes the “current” line number other than “the best number we could come up with for error messages.”

###### gtk_buildable_parse_context_pop

Completes the process of a temporary sub-parser redirection.

###### gtk_buildable_parse_context_push

Temporarily redirects markup data to a sub-parser.